org.jboss.netty.channel.local

## Interface LocalServerChannelFactory

All Superinterfaces:
  ChannelFactory, ExternalResourceReleasable, ServerChannelFactory

All Known Implementing Classes:
  DefaultLocalServerChannelFactory

    public interface LocalServerChannelFactory
    extends ServerChannelFactory

A `ServerChannelFactory` that creates a `LocalServerChannel`.

### Method Summary

Methods
`LocalServerChannel` `newChannel(ChannelPipeline pipeline)` Creates and opens a new `Channel` and attaches the specified `ChannelPipeline` to the new `Channel`.

### Methods inherited from interface org.jboss.netty.channel.ChannelFactory

`releaseExternalResources`

### Method Detail

#### newChannel

    LocalServerChannel newChannel(ChannelPipeline pipeline)

Description copied from interface: `ChannelFactory`
Creates and opens a new `Channel` and attaches the specified `ChannelPipeline` to the new `Channel`.

Specified by:
  `newChannel` in interface `ChannelFactory`
Specified by:
  `newChannel` in interface `ServerChannelFactory`
Parameters:
  `pipeline` - the `ChannelPipeline` which is going to be attached to the new `Channel`
Returns:
  the newly open channel